@import url('https://fonts.googleapis.com/css2?family=Exo+2:ital,wght@0,100..900;1,100..900&display=swap');

body{
    margin: 0;
    padding: 0;   
    background-color: rgb(230, 246, 202); 
}

.contenedor_validador{
    margin: 0;
    padding: 0;
    font-family: "Exo 2", sans-serif;
}

.bar_1{
    background-color: rgb(70, 69, 69);
    color: white;
    width: 100%;
    height: 30px;
    padding: 2px;
    padding-left: 42%;
    align-items: center;
    box-shadow: 0px 0px 30px rgb(144, 144, 144);
    position: absolute;
    z-index: 100;
}

.bar_up{
    width: 100%;
    height: 180px;
    padding-top: 50px;
    background-color: rgb(255, 255, 255);
    display: flex;
    box-shadow: 0px 0px 30px rgb(144, 144, 144);
    z-index: -100px;
    position: absolute;
}

.logo{
    width: 500px;
    height: 200px;
    padding-left: 20px;
}

.logo img{
    width: 60%;
    height: auto;
    margin-top: 25px;
    margin-left: 20px;
}

.head--title{
    color: rgb(0, 117, 201);
    font-size: 40px;
    margin-left: 200px;
    margin-top: 40px;
}

.rojo{
    width: 100%;
    height: 100%;
}

.datos_val{
    background-color: rgb(230, 246, 202);
    margin-top: 160px;
    padding-bottom: 20px;
}

.info-cert{
    margin-left: 50px;
    padding-top: 20px;
    font-size: 40px;
}

.contenido_info{
    margin-left: 50px;
    margin-right: 30px;
    padding-top: 20px;
    margin-bottom: 20px;
    font-size: 18px;
}

.otros-info{
    font-size: 17px;
    font-weight: bolder;
    margin-left: 50px;
}

.resto-info{
    font-size: 14px;
    margin-left: 50px;
}

.footer {
    position: fixed;
    left: 0;
    bottom: 0;
    width: 100%;
    color: white;
    text-align: center;
    padding: 10px;
}

.imagen-aprobado {
    float: right;
    margin-left: -50px;
    margin-right: 100px;
    width: 200px; 
    height: auto; 
}

@media (max-width: 768px){

    .bar_1{
        width: 100%;
        height: 30px;
        margin: 0;
        padding: 0;
    }

    .bar_1 b{
        padding-left: 22%;
    }

    .bar_up{
        width: 100%;
        height: 180px;
        margin: 0;
        padding: 0;
        display: block;
    }

    .logo{
        width: 100%;
        height: 120px;
        margin: 0;
        padding: 0;
        padding-top: 40px;
    }

    .logo img{
        width: 90%;
        height: auto;
        margin: 0;
        padding-left: 80px;
    }

    .head--title{
        color: rgb(0, 117, 201);
        width: 100%;
        height: 30px;
        padding: 0;
        padding-top: 0;
        margin-top: 0;
        margin-left: 0px;
        padding-left: 30px;
        font-size: 24px;
    }

    .datos_val{
        height: 700px;
        font-size: 12px;
        margin: 0;
        padding: 0;
    }

    .info-cert{
        font-size: 18px;
        margin-top: 180px;
        font-weight: bolder;
        margin: 0;
        padding: 0;
        padding-top: 180px;
        padding-left: 15px;
    }

    .contenido_info{
        font-size: 15px;
        margin: 0;
        padding: 0;
        padding-left: 15px;
        padding-right: 15px;
        padding-top: 10px;
    }

    .otros-info{
        margin: 0;
        padding: 0;
        padding-top: 10px;
        padding-left: 15px;
        padding-right: 15px;
    }

    .resto-info{
        font-size: 10px;
        margin: 0;
        padding: 0;
        padding-top: 10px;
        padding-left: 15px;
        padding-right: 15px;
    }

    .imagen-aprobado{
        width: 30%;
        height: auto;
        padding: 0;
        margin: 0;
        margin-left: 25px;
        margin-top: 15px;
    }



}

@media (max-height:655px){

    .bar_up{
        height: 200px;
    }

    .datos_val{
        height: 600px;
    }

    .info-cert{
        padding-top: 200px;
    }

    .contenido_info{
        padding-top: 10px;
    }
    
    .logo img{
        width: auto;
        height: 100px;
        margin: 0;
        padding: 0;
        padding-left: 25%;
    }

    .head--title{
        padding-left: 25%;
        padding-top: 30px;
        font-size: 28px;
    }

    .imagen-aprobado{
        width: 15%;
        height: auto;
        padding: 0;
        margin: 0;
        margin-left: -15px;
        margin-top: -10px;
    }

}



@media (max-width:360px){

    .bar_up{
        height: 200px;
    }

    .datos_val{
        height: 600px;
    }

    .info-cert{
        padding-top: 200px;
    }

    .contenido_info{
        padding-top: 10px;
    }
    
    .logo img{
        width: auto;
        height: 70px;
        margin: 0;
        padding: 0;
        padding-left: 20%;
        padding-top: 10px;
    }

    .head--title{
        padding-left: 5%;
        padding-top: 15px;
        font-size: 14x;
    }

    .imagen-aprobado{
        width: 25%;
        height: auto;
        padding: 0;
        margin: 0;
        margin-left: -25px;
        margin-top: -10px;
    }

}

@media (max-height:360px){

    .bar_up{
        height: 200px;
        padding-top: 80px;
    }

    .logo img{
        width: auto;
        height: 70px;
        margin: 0;
        padding: 0;
        padding-left: 20%;
        padding-top: 10px;
        padding: 5px;
    }

    .head--title{
        margin: 0;
        padding: 0;
    }

    .datos_val{
        padding: 15px;
    }

    .info-cert{
        padding: 0;
        margin: 0;
        padding-top: 40px;
        padding-left: 30x;
        font-size: 14px;
        font-weight: bolder;
    }

    .contenido_info{
        margin: 0;
        padding: 0;
        margin-top: 10px;
        font-size: 12px;
    }

    .otros-info{
        margin: 0;
        padding: 0;
        margin-top: 10px;
        font-size: 10px;
    }

    .resto-info{
        margin: 0;
        padding: 0;
        margin-top: 10px;
        font-size: 9px;
    }

    .imagen-aprobado{
        width: 120px;
        height: auto;
        margin: 0;
        padding: 0;
    }
}